Package org.apache.avro.thrift

# Class ThriftDatumWriter<T>

java.lang.Object
org.apache.avro.generic.GenericDatumWriter<T>
org.apache.avro.thrift.ThriftDatumWriter<T>

All Implemented Interfaces:
  `org.apache.avro.io.DatumWriter<T>`

public class ThriftDatumWriter<T> extends org.apache.avro.generic.GenericDatumWriter<T>
`DatumWriter` for generated thrift classes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ThriftDatumWriter()`
``
`ThriftDatumWriter(Class<T> c)`
``
`ThriftDatumWriter(org.apache.avro.Schema schema)`
`protected`
`ThriftDatumWriter(org.apache.avro.Schema root, ThriftData thriftData)`
`protected`
`ThriftDatumWriter(ThriftData thriftData)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`writeBytes(Object datum, org.apache.avro.io.Encoder out)`

### Methods inherited from class org.apache.avro.generic.GenericDatumWriter

`addAvroTypeMsg, addClassCastMsg, convert, getArrayElements, getArraySize, getData, getMapEntries, getMapSize, npe, resolveUnion, setSchema, write, write, writeArray, writeEnum, writeField, writeFixed, writeMap, writeRecord, writeString, writeString, writeWithoutConversion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThriftDatumWriter

public ThriftDatumWriter()

### ThriftDatumWriter

public ThriftDatumWriter(Class<T> c)

### ThriftDatumWriter

public ThriftDatumWriter(org.apache.avro.Schema schema)

### ThriftDatumWriter

protected ThriftDatumWriter(org.apache.avro.Schema root, ThriftData thriftData)

### ThriftDatumWriter

protected ThriftDatumWriter(ThriftData thriftData)

## Method Details

### writeBytes

protected void writeBytes(Object datum, org.apache.avro.io.Encoder out) throws IOException

Overrides:
  `writeBytes` in class `org.apache.avro.generic.GenericDatumWriter<T>`
Throws:
  `IOException`